# Set-RASClientPolicyAssignment.md

## NAME

Set-RASClientPolicyAssignment

## SYNOPSIS

Modifies settings of the assignment within a client policy.

## SYNTAX

\*\*Set-RASClientPolicyAssignment \[[Id](#id-string)] *(uint)* \[-[Default](#Default) {Deny | Allow}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Set-RASClientPolicyAssignment \[-[InputObject](#inputobject)] *(*[*ClientRules*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/clientrules.md)*)* \[-[Default](#Default) {Deny | Allow}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Set-RASClientPolicyAssignment \[[Name](#name-string)] *(string)* \[-[Default](#Default) {Deny | Allow}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies settings of the assignment within a client policy.

## PARAMETERS

## Default

([DefaultAssignmentType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/defaultassignmenttype.md)) Whether the default assignment is allow or deny.

Possible values: Deny, Allow

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Name (string)

Name of the client policy to modify.

This must be the actual client policy name used in the RAS farm.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the client policy to modify. To obtain the ID, use the Get-RASClientPolicy cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([ClientRules](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/clientrules.md))

The client policy object to modify.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[ClientRules](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/clientrules.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASClientPolicyAssignment 1 -Default Deny

Modifies the default assignment of a client policy specified by ID to Deny.

## RELATED LINKS

* [Get-RASClientPolicy](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasclientpolicy.md)
* [Set-RASClientPolicy](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasclientpolicy.md)
* [Get-RASClientPolicyAssignment](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasclientpolicyassignment.md)
* [Set-RASRule](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasrule.md)
* [Set-RASCriteria](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rascriteria.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasclientpolicyassignment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
